#include <iostream>
using namespace std;

int main()
{
	int n, k, * m, * y, x = 0;
	cin >> n >> k; m = new int[2 * n + 1]{ 0 }; y = new int[n]{ 0 };
	
	for (int i = 0; i < n; i++) {
		int x; cin >> x;
		m[x + n]++;
	}int j =1;
	for (int i = 0; i < 2 * n + 1; i++) {
		if (m[i] >= k) {
			x++; y[j-1] = i; j++;
		}
	}
	cout << x << endl;
	for (int i = 0; i < x; i++) {
		cout << y[i]-n << ' ';
	}
	return 0;
}